Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.console
Interface IConsoleConstants

public interface IConsoleConstants

Constants relating to the console plug-in.

Since:
  3.0

Field Summary
`static String` | `CONSOLE_FONT` The name of the font to use for the Console (value `"org.eclipse.ui.console.ConsoleFont"`).
`static String` | `ID_CONSOLE_VIEW` Console view identifier (value `"org.eclipse.ui.console.ConsoleView"`).
`static String` | `IMG_LCL_CLEAR` Clear action image identifier.
`static String` | `IMG_VIEW_CONSOLE` Console view image identifier
`static int` | `INTERNAL_ERROR` Status code indicating an unexpected internal error.
`static String` | `LAUNCH_GROUP` Identifier for a launch group in a menu (value `"launchGroup"`).
`static String` | `OUTPUT_GROUP` Identifier for an output group in a menu (value `"outputGroup"`).
`static String` | `PLUGIN_ID` Console plug-in identifier (value `"org.eclipse.ui.console"`).

Field Detail

### PLUGIN_ID

    public static final String PLUGIN_ID

  Console plug-in identifier (value `"org.eclipse.ui.console"`).

### ID_CONSOLE_VIEW

    public static final String ID_CONSOLE_VIEW

  Console view identifier (value `"org.eclipse.ui.console.ConsoleView"`).

  See Also:
    Constant Field Values

### CONSOLE_FONT

    public static final String CONSOLE_FONT

  The name of the font to use for the Console (value `"org.eclipse.ui.console.ConsoleFont"`).

  See Also:
    Constant Field Values

### LAUNCH_GROUP

    public static final String LAUNCH_GROUP

  Identifier for a launch group in a menu (value `"launchGroup"`).

  See Also:
    Constant Field Values

### OUTPUT_GROUP

    public static final String OUTPUT_GROUP

  Identifier for an output group in a menu (value `"outputGroup"`).

  See Also:
    Constant Field Values

### IMG_VIEW_CONSOLE

    public static final String IMG_VIEW_CONSOLE

  Console view image identifier

  See Also:
    Constant Field Values

### IMG_LCL_CLEAR

    public static final String IMG_LCL_CLEAR

  Clear action image identifier.

  See Also:
    Constant Field Values

### INTERNAL_ERROR

    public static final int INTERNAL_ERROR

  Status code indicating an unexpected internal error.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.